
[MODULE_PARAMETERS]
# This section shall contain the values of all parameters that are defined in your TTCN-3 modules.
LibItsGeoNetworking_Pics.PICS_GN_LOCAL_GN_ADDR := {
  typeOfAddress := e_initial,
  stationType := e_passengerCar,
  stationCountryCode := 0,
  mid := '4C5E0C14D2EB'O
}

# GeoNetwoking only, no facility layer
#LibItsGeoNetworking_Pixits.PX_GN_UPPER_LAYER := e_any
# With facility layer
LibItsGeoNetworking_Pixits.PX_GN_UPPER_LAYER := e_btpB

# Indicate which RSU to simulate
ItsRSUsSimulator_Pixits.PX_RSU_ID := 8;
# Indicate which Use Case to simulate
#   UC1 (DENM only):         PX_ETSI_USE_CASE_ID := 1
#   UC3 (TLM MAPEM/SPATEM):  PX_ETSI_USE_CASE_ID := 3
#   UC5 (IVIM only):         PX_ETSI_USE_CASE_ID := 5
#   UC6 (CAM only):          PX_ETSI_USE_CASE_ID := 6
#   UC7 (CAM only):          PX_ETSI_USE_CASE_ID := 7
#   UC8 (EVCSN only):        PX_ETSI_USE_CASE_ID := 8
#   UC9 (CAM only):          PX_ETSI_USE_CASE_ID := 9
ItsRSUsSimulator_Pixits.PX_ETSI_USE_CASE_ID := 6
# Indicate which zone to simulate
ItsRSUsSimulator_Pixits.PX_ETSI_ZONE_ID := 1

ItsRSUsSimulator_Pixits.PICS_GENERATE_BEACON   := false
ItsRSUsSimulator_Pixits.PICS_GENERATE_CAM      := true
ItsRSUsSimulator_Pixits.PICS_GENERATE_DENM     := false
ItsRSUsSimulator_Pixits.PICS_GENERATE_IVIM     := false
ItsRSUsSimulator_Pixits.PICS_GENERATE_MAPEM    := false
ItsRSUsSimulator_Pixits.PICS_GENERATE_SPATEM   := false
ItsRSUsSimulator_Pixits.PICS_GENERATE_SSEM     := false

[LOGGING]
# In this section you can specify the name of the log file and the classes of events
# you want to log into the file or display on console (standard error).
LogFile := "../logs/%e.%h-%r.%s"
#FileMask := LOG_ALL | USER | DEBUG | MATCHING
#ConsoleMask := LOG_ALL | USER | DEBUG | MATCHING
FileMask := ERROR | USER | MATCHING | EXECUTOR_RUNTIME | VERDICTOP
ConsoleMask := ERROR | USER | MATCHING | EXECUTOR_RUNTIME | VERDICTOP
LogSourceInfo := Stack
LogEntityName:= Yes
LogEventTypes:= Yes
#TimeStampFormat := DateTime

[TESTPORT_PARAMETERS]
# In this section you can specify parameters that are passed to Test Ports.
# CAM Layer
#   next_header     : btpA|btpB (overwrite BTP.type)
#   header_type     : tsb|gbc
#   header_sub_type : sh (single hop)
# DENM Layer
#   next_header     : btpA|btpB (overwrite BTP.type)
#   header_type     : tsb|gbc
# BTP Layer
#   type            : btpA|btpB
#   destination port: dst_port
#   source port     : src_port
#   device_mode     : Set to 1 if the layer shall encapsulate upper layer PDU
#   device_mode     : Set to 1 if the layer shall encapsulate upper layer PDU
# GN Layer
#   its_aid                : ITS AID as defined by ETSI TS 102 965 V1.2.1. Default: 141
#   ll_address             : GeoNetworking address of the Test System
#   latitude               : Latitude of the Test System
#   longitude              : Kongitude of the Test System
#   beaconing              : Set to 1 if the Test System shall start beaconing
#   Beaconning timer expiry: Expiry (ms)
#   device_mode            : Set to 1 if the layer shall encapsulate upper layer PDU
#   secured_mode           : Set to 1 if message exchanges shall be secured
#   certificate            : Certificate identifier the Test Adapter shall use
#   secure_db_path         : Path to the certificates and keys storage location
#   hash                   : Hash algorithm to be used when secured mode is set
#                            Authorized values are SHA-256 or SHA-384
#                            Default: SHA-256
#   signature              : Signature algorithm to be used when secured mode is set
#                            Authorized values are NISTP-256, BP-256 and BP-384
#                            Default: NISTP-256
#   cypher                 : Cyphering algorithm to be used when secured mode is set
# Ethernet layer
#   mac_src  :Source MAC address
#   mac_bc   :Broadcast address
#   eth_type : Ethernet type
# Commsignia layer
#   mac_src     : Device MAC address, used to discard packets
#                 To indicate no filering, use the value 000000000000
#   mac_bc      : Broadcast address
#   eth_type    : Ethernet type, used to discard packets
#   target_host : Device address
#   target_port : Device port
#   source_port : Test System port
#   interface_id: Interface id, used to discard packets
#   tx_power    : TX power (dB)
# UDP layer (IP/UDP based on Pcap)
#   dst_ip  : destination IPv4 address (aa.bb.cc.dd)
#   dst_port: destination port
#   src_ip  : source IPv4 address (aa.bb.cc.dd)
#   src_port: source port
# Pcap layer
#   mac_src    : Source MAC address, used to exclude from capture the acket sent by the Test System
#   filter     : Pcap filter (compliant with tcpdump syntax) 
#   Online mode:
#     nic: Local NIC
#          If set, online mode is used
#   Offline mode (nic is present but not set):
#     file        : File to read
#     frame_offset: Frame offset, used to skip packets with frame number < frame_offset
#     time_offset : Time offset, used to skip packets with time offset < time_offset
#     save_mode   : 1 to save sent packet, 0 otherwise

# Single GeoNetworking component port
system.geoNetworkingPort.params := "GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,beaconing=0,device_mode=0,expiry=1000,secured_mode=1,certificate=CERT_TS_A,sec_db_path=/home/ubuntu/tmp/Yann)/ETH(mac_src=0800275c4959,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=0800275c4959,nic=enp0s8,filter=and ether proto 0x8947)"

# UpperTester port based on UDP
#system.utPort.params := "UT/UDP(dst_ip=192.168.56.1,dst_port=12346,src_ip=192.168.156.4,src_port=12345)/ETH(mac_src=026f8338c1e5,mac_dst=0A0027000011,eth_type=0800)/PCAP(mac_src=0800275c4959,nic=enp0s8,filter=udp port 12346)"

# Config port based on UDP
system.cfPort.params := "CF/UDP(dst_ip=192.168.56.1,dst_port=12348,src_ip=192.168.156.4,src_port=12347)/ETH(mac_src=026f8338c1e5,mac_dst=0A0027000011,eth_type=0800)/PCAP(mac_src=0800275e8e00,nic=enp0s8,filter=and udp port 12348)"

[EXECUTE]
ItsRSUsSimulator_TestCases.TC_RSUSIMU_BV_01

[MAIN_CONTROLLER]
# The options herein control the behavior of MC.
KillTimer := 10.0
TCPPort := 0
LocalAddress := 127.0.0.1
TCPPort := 12000
NumHCs := 1

